<?php
class WindDoc_Winddocapp_Model_Observer_Event{


  public function NuovoOrdine(Varien_Event_Observer $observer)
  {
      $order = $observer->getEvent()->getOrder();
      $orderId = $order->getId();

      if(Mage::helper('winddocapp')->getConfig('winddoc/ordini/enable',$order->getStoreId()) == 1){
        if(!Mage::helper('winddocapp')->dettaglioOrdine($order->getId())){
          Mage::helper('winddocapp')->aggiungiSincroOrdine($order->getId());
        }
        if(Mage::helper('winddocapp')->getConfig('winddoc/ordini/sincronizza_ordini',$order->getStoreId()) == 1){
          if(Mage::helper('winddocapp')->getConfig("winddoc/accesso/token")==""){
          }elseif(Mage::helper('winddocapp')->getConfig('winddoc/ordini/enable',$order->getStoreId()) == 0){
          }else{
            $det = Mage::helper('winddocapp')->dettaglioOrdine($orderId);
            if(isset($det["id_ordine_winddoc"]) && $det["id_ordine_winddoc"]!=""){
            }else{
              $data = Mage::helper('winddocapp')->creaOrdine($order);
              if(!isset($data["id"])){
              }else{
                Mage::helper('winddocapp')->aggiungiWinDocOrderToOrder($orderId,$data["id"],$data["url"]);
              }
            }
          }
        }
      }

      if(Mage::helper('winddocapp')->getConfig('winddoc/fatture/enable',$order->getStoreId()) == 1){
        if(!Mage::helper('winddocapp')->dettaglioOrdine($order->getId())){
          Mage::helper('winddocapp')->aggiungiSincroOrdine($order->getId());
        }
        if(Mage::helper('winddocapp')->getConfig('winddoc/fatture/sincronizza_fatture',$order->getStoreId()) == 1){
          //Sincronizzo fattura

          if(Mage::helper('winddocapp')->getConfig("winddoc/accesso/token")==""){
          }elseif(Mage::helper('winddocapp')->getConfig('winddoc/fatture/enable',$order->getStoreId()) == 0){
          }else{
            $det = Mage::helper('winddocapp')->dettaglioOrdine($orderId);
            if(isset($det["id_invoice_winddoc"]) && $det["id_invoice_winddoc"]!=""){
            }else{
              $data = Mage::helper('winddocapp')->creaFattura($order);
              if(!isset($data["id"])){
              }else{
                Mage::helper('winddocapp')->aggiungiWinDocToOrder($orderId,$data["id"],$data["url"]);
              }
            }
          }
        }
      }
  }

}
