<?php

class WindDoc_Winddocapp_Adminhtml_WinddocController extends Mage_Adminhtml_Controller_Action

{
	
	protected function _isAllowed(){ 
     return true; 
  } 
  
  public function creaordineAction(){
    $orderId = $this->getRequest()->getParam('order_id');
    $order = Mage::getModel('sales/order')->load($orderId);

    if(Mage::helper('winddocapp')->getConfig("winddoc/accesso/token")==""){
      Mage::getSingleton('adminhtml/session')->addError("Non hai collegato winddoc con magento. Puoi collegare winddoc a magento dalla sezione Sistema->Configurazione->Winddoc");
    }elseif(Mage::helper('winddocapp')->getConfig('winddoc/ordini/enable',$order->getStoreId()) == 0){
      Mage::getSingleton('adminhtml/session')->addError("Non è abilitata la sincronizzazione della fatture di Winddoc");
    }else{

      $det = Mage::helper('winddocapp')->dettaglioOrdine($orderId);
      if(!$det){
        Mage::helper('winddocapp')->aggiungiSincroOrdine($orderId);
      }

      if($det["id_ordine_winddoc"]!=""){
        Mage::getSingleton('adminhtml/session')->addError("Per questo ordine è già presente un'ordine in WindDoc");
      }else{
        //Creo dati per la fattura
        $data = Mage::helper('winddocapp')->creaOrdine($order);

        if(!isset($data["id"])){
          Mage::getSingleton('adminhtml/session')->addError("Non è stato possibile creare l'ordine in WindDoc");
        }else{
          Mage::helper('winddocapp')->aggiungiWinDocOrderToOrder($orderId,$data["id"],$data["url"]);
          Mage::getSingleton('adminhtml/session')->addSuccess("Fattura Creata correttamente in WindDoc.");
        }
      }
    }

    Mage::app()->getResponse()->setRedirect($_SERVER['HTTP_REFERER']);
    Mage::app()->getResponse()->sendResponse();
    exit;
  }
  public function creafatturaAction(){

    $orderId = $this->getRequest()->getParam('order_id');
    $order = Mage::getModel('sales/order')->load($orderId);

    if(Mage::helper('winddocapp')->getConfig("winddoc/accesso/token")==""){
      Mage::getSingleton('adminhtml/session')->addError("Non hai collegato winddoc con magento. Puoi collegare winddoc a magento dalla sezione Sistema->Configurazione->Winddoc");
    }elseif(Mage::helper('winddocapp')->getConfig('winddoc/fatture/enable',$order->getStoreId()) == 0){
      Mage::getSingleton('adminhtml/session')->addError("Non è abilitata la sincronizzazione della fatture di Winddoc");
    }else{

      $det = Mage::helper('winddocapp')->dettaglioOrdine($orderId);
      if(!$det){
        Mage::helper('winddocapp')->aggiungiSincroOrdine($orderId);
      }

      if($det["id_invoice_winddoc"]!=""){
        Mage::getSingleton('adminhtml/session')->addError("Per questo ordine è già presente una fattura in WindDoc");
      }else{
        //Creo dati per la fattura
        $data = Mage::helper('winddocapp')->creaFattura($order);

        if(!isset($data["id"])){
          Mage::getSingleton('adminhtml/session')->addError("Non è stato possibile creare la fattura in WindDoc");
        }else{
          Mage::helper('winddocapp')->aggiungiWinDocToOrder($orderId,$data["id"],$data["url"]);
          Mage::getSingleton('adminhtml/session')->addSuccess("Fattura Creata correttamente in WindDoc.");
        }
      }
    }

    Mage::app()->getResponse()->setRedirect($_SERVER['HTTP_REFERER']);
    Mage::app()->getResponse()->sendResponse();
    exit;

    //acl($order->getId(),"s",true);
    //controllo se l'ordine è già fatturato
  }






}
