<?php

class WindDoc_Winddocapp_Block_Adminhtml_Sales_Order_View extends Mage_Adminhtml_Block_Sales_Order_View {
    public function  __construct() {
      parent::__construct();


      $det = Mage::helper('winddocapp')->dettaglioOrdine($this->getRequest()->getParam('order_id'));


        if(isset($det["id_ordine_winddoc"]) && $det["id_ordine_winddoc"]!=""){

          $this->_addButton('button_ido', array(
              'label'     => Mage::helper('winddocapp')->__('Visualizza Ordine'),
              'onclick'   => 'window.open(\''.$det["url_ordine_winddoc"].'\',\'_blank\');',
              'class'     => 'go'
          ), 0, 200, 'header', 'header');

        }else{
          if(Mage::helper('winddocapp')->getConfig('winddoc/ordini/enable') == 1){

              $this->_addButton('button_idsss', array(
                  'label'     => Mage::helper('winddocapp')->__('Crea Ordine in WindDoc'),
                  'onclick'   => 'setLocation(\''.Mage::helper('adminhtml')->getUrl('*/winddoc/creaordine/order_id/'.$this->getRequest()->getParam('order_id').'/').'\')',
                  'class'     => 'go'
              ), 0, 200, 'header', 'header');
          }
        }



        if(isset($det["id_invoice_winddoc"]) && $det["id_invoice_winddoc"]!=""){
          $this->_removeButton("order_invoice");
          $this->_addButton('button_id', array(
              'label'     => Mage::helper('winddocapp')->__('Visualizza Fattura'),
              'onclick'   => 'window.open(\''.$det["url_invoice_winddoc"].'\',\'_blank\');',
              'class'     => 'go'
          ), 0, 201, 'header', 'header');

        }else{
          if(Mage::helper('winddocapp')->getConfig('winddoc/fatture/enable') == 1){
              $this->_removeButton("order_invoice");
              $this->_addButton('button_id', array(
                  'label'     => Mage::helper('winddocapp')->__('Fattura in WindDoc'),
                  'onclick'   => 'setLocation(\''.Mage::helper('adminhtml')->getUrl('*/winddoc/creafattura/order_id/'.$this->getRequest()->getParam('order_id').'/').'\')',
                  'class'     => 'go'
              ), 0, 200, 'header', 'header');
          }
        }

    }
}
