<?php

class WindDoc_Winddocapp_Block_Adminhtml_System_Config_Form_Login
    extends Mage_Adminhtml_Block_System_Config_Form_Field
{


    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        $element->setType('hidden');
        $element->getHtmlId();

        $html = '
        <button '.($element->getValue()=="" ? '' : 'style="display:none"').' id="btn_connect_wd" title="Collega Winddoc" type="button" class="scalable" onclick="popitwd()" style=""><span><span><span>Collega Winddoc</span></span></span></button>
        <span id="span_wd_connected" class="success-msg" style="padding:10px 10px 8px 30px; font-size:14px;'.($element->getValue()!="" ? '' : 'display:none;').'">WindDoc Collegato</span>
        <button '.($element->getValue()!="" ? '' : 'style="display:none"').' id="btn_disconnect_wd" title="Scollega Winddoc" type="button" class="scalable" onclick="scollegaWD()" style=""><span><span><span>Scollega Winddoc</span></span></span></button>

        <script>
        function scollegaWD(){
          document.getElementById("winddoc_accesso_token").value = "";
          document.getElementById("span_wd_connected").style.display = "none";
          document.getElementById("btn_disconnect_wd").style.display = "none";
          document.getElementById("btn_connect_wd").style.display = "inline-block";
        }
        function popitwd() {
          newwindow=window.open("'.Mage::helper('winddocapp')->getRootLogin().'","Login WindDoc",\'height=200,width=150\');
          if (window.focus) {newwindow.focus()}
          return false;
        }
        window.addEventListener("message", receiveMessage, false);
        function receiveMessage(event)
        {
        	if (event.origin == "'.Mage::helper('winddocapp')->getRoot().'"){
            document.getElementById("winddoc_accesso_token").value = event.data;
            document.getElementById("span_wd_connected").style.display = "inline-block";
            document.getElementById("btn_disconnect_wd").style.display = "inline-block";
            document.getElementById("btn_connect_wd").style.display = "none";
          }
        }
      </script>
        ';

        return $html.parent::_getElementHtml($element);
    }

    public function getHtmlTokenWindDoc(){

    }
}
