<?php
class WindDoc_Winddocapp_Model_Observer_PulsanteFatturaWD{

    public function addColumnToGrid(Varien_Event_Observer $observer)
    {

      if(Mage::helper('winddocapp')->getConfig('winddoc/ordini/enable') == 1){

        $block = $observer->getEvent()->getBlock();
        // Check whether the loaded block is the orders grid block
        if (!($block instanceof Mage_Adminhtml_Block_Sales_Order_Grid) || $block->getNameInLayout() != 'sales_order.grid')
            return $this;


        // Add a new column rigth after the "view" column
        $block->addColumnAfter('view2', [
            'header' => $block->__('WindDoc Ordine'),
            'width' => '100px',
            'index' => 'winddoc_app_crea_ordine',
            'type'   => 'action',
            'sortable' => false,
            'getter'   => 'getId',
            'renderer'  => 'winddocapp/adminhtml_widget_grid_column_renderer_linkwinddocorder',
            'filter' => false
        ], 'entity_id');
      }


      if(Mage::helper('winddocapp')->getConfig('winddoc/fatture/enable') == 1){

        $block = $observer->getEvent()->getBlock();
        // Check whether the loaded block is the orders grid block
        if (!($block instanceof Mage_Adminhtml_Block_Sales_Order_Grid) || $block->getNameInLayout() != 'sales_order.grid')
            return $this;


        // Add a new column rigth after the "view" column
        $block->addColumnAfter('view', [
            'header' => $block->__('WindDoc Fattura'),
            'width' => '100px',
            'index' => 'winddoc_app_crea_fattura',
            'type'   => 'action',
            'sortable' => false,
            'getter'   => 'getId',
            'renderer'  => 'winddocapp/adminhtml_widget_grid_column_renderer_linkwinddoc',
            'filter' => false
        ], 'entity_id');
      }

      return $this;
    }
}
